Get a pricing rule's history
curl --request GET \
--url https://{host}/api/llm-gateway/admin/model-pricing/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://{host}/api/llm-gateway/admin/model-pricing/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/llm-gateway/admin/model-pricing/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_pattern": "gpt-4o-mini",
"input_cost_per_million_tokens": 0.15,
"output_cost_per_million_tokens": 0.6,
"effective_from": "2023-11-07T05:31:56Z",
"sync_mode": "tracking",
"change_source": "admin_create",
"is_archived": true,
"model_provider": "<string>",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalog_slug": "<string>",
"cache_read_cost_per_million_tokens": 123,
"cache_write_cost_per_million_tokens": 123,
"change_reason": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_email": "<string>"
}
]LLM Gateway: Model Pricing
Get a pricing rule's history
Returns every version of a single rule (current, scheduled, archived, and prior live versions), newest first.
GET
/
admin
/
model-pricing
/
history
Get a pricing rule's history
Authorizations
JWT obtained through Barndoor's authentication flow. Pass the token
verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's
loginInteractive() helper to obtain a token in scripts and notebooks.
Response
200 - application/json
List of pricing versions, newest first
Upstream model name (or * wildcard)
Example:
"gpt-4o-mini"
Example:
0.15
Example:
0.6
When this version takes effect. Past = active; future = scheduled
How the row tracks Barndoor's managed defaults:
tracking— show the user a prompt when defaults changepinned— never sync; this is your numberauto— silently follow updates to the managed defaults
Available options:
tracking, pinned, auto How this version of the pricing rule was produced
Available options:
admin_create, admin_edit, admin_schedule, import, sync_manual, sync_auto, admin_archive, admin_restore When set, the rule only applies to routes served by this provider